﻿using HeuristicLab.Clients.Hive.WebJobManager.Services;
using HeuristicLab.Clients.Hive.WebJobManager.Services.Imports;
using HeuristicLab.Clients.Hive.WebJobManager.ViewModels;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;

namespace HeuristicLab.Clients.Hive.WebJobManager.Controllers
{
    public class OkbManagementController: Controller
    {
        private OkbManagementVM vm;
        private WebLoginService weblog;
        private Guid userId;
        
        private bool init()
        {
            var u = HttpContext.Session.GetString("UserId");
            weblog = WebLoginService.Instance;
            if (u == null || u == "" || Guid.Parse(u) == Guid.Empty)
            {
                return false;
            }
            else
            {
                userId = Guid.Parse(u);
                vm = new OkbManagementVM(weblog.getCurrentUser(userId), weblog.getOkbAdminClient(userId));
                if(vm.client != null)
                    return true;
            }
            return false;
        }

        public IActionResult Index()
        {

            if (init())
            {
                ViewBag.SessionId = HttpContext.Session.GetString("UserId");
                ViewBag.Title = "OKB Management";
                return View("Index", vm);
            }
            else
            {
                return RedirectToAction("Index", "Query");
            }
        }
    }
}
